org.json

## Class HTTPTokener

- java.lang.Object
- - org.json.JSONTokener
  - - org.json.HTTPTokener

    public class HTTPTokener
    extends JSONTokener

The HTTPTokener extends the JSONTokener to provide additional methods for the parsing of HTTP headers.

Version:
  2015-12-09
Author:
  JSON.org

### Constructor Summary

Constructors
Constructor and Description
`HTTPTokener(String string)` Construct an HTTPTokener from a string.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `nextToken()` Get the next token or string.

### Methods inherited from class org.json.JSONTokener

`back, close, dehexchar, end, getPrevious, more, next, next, next, nextClean, nextString, nextTo, nextTo, nextValue, skipTo, syntaxError, syntaxError, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HTTPTokener

    public HTTPTokener(String string)

Construct an HTTPTokener from a string.

Parameters:
  `string` - A source string.

### Method Detail

#### nextToken

    public String nextToken()
                     throws JSONException

Get the next token or string. This is used in parsing HTTP headers.

Returns:
  A String.
Throws:
  `JSONException` - if a syntax error occurs